package com.goomood.phm.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.goomood.phm.domain.KGraphTask;
import com.goomood.phm.domain.dto.CataiDTO;
import com.goomood.phm.domain.dto.ExtraKGraphTaskDTO;
import com.goomood.phm.domain.dto.ExtraKGraphTaskStatusDTO;

import java.util.List;

/**
 * 知识图谱任务Service接口
 *
 * @author wyj
 * @date 2025-07-21
 */
public interface IKGraphTaskService {
    /**
     * 分页查询知识图谱任务列表
     *
     * @param po 知识图谱任务Bo
     * @return 分页知识图谱任务集合
     */
    List<KGraphTask> selectPage(KGraphTask po);
    /**
     * 查询知识图谱任务
     *
     * @param id 知识图谱任务主键
     * @return 知识图谱任务
     */
    KGraphTask selectById(Long id);
    /**
     * 新增知识图谱任务
     *
     * @param po 知识图谱任务Bo
     * @return 结果:true 操作成功，false 操作失败
     */
    boolean insert(KGraphTask po);
    /**
     * 处理任务
     *
     * @param po 知识图谱任务Bo
     * @return 结果:true 操作成功，false 操作失败
     */
    boolean proTask(KGraphTask po);
    /**
     * 修改知识图谱任务
     *
     * @param po 知识图谱任务Bo
     * @return 结果:true 更新成功，false 更新失败
     */
    Boolean update(KGraphTask po);
    /**
     * 批量删除知识图谱任务
     *
     * @param ids 需要删除的知识图谱任务主键集合
     * @return 结果:true 删除成功，false 删除失败
     */
    boolean deleteByIds(Long[] ids);

    boolean resultCallback(ExtraKGraphTaskDTO dto);

    boolean statusCallback(ExtraKGraphTaskStatusDTO extraKGraphTaskStatusdto);

    Object catai(CataiDTO dto);
}
